Skip to main content
`Ctrl`+`K`

# pandas.core.groupby.DataFrameGroupBy.last

DataFrameGroupBy.last(numeric_only=False, min_count=-1, skipna=True)

  Compute the last entry of each column within each group.

  Defaults to skipping NA elements.

  Parameters:
    numeric_only bool, default False

      Include only float, int, boolean columns. If None, will attempt to use everything, then use only numeric data.

    min_count int, default -1

      The required number of valid values to perform the operation. If fewer than `min_count` valid values are present the result will be NA.

    skipna bool, default True

      Exclude NA/null values. If an entire row/column is NA, the result will be NA.

      Added in version 2.2.1.

  Returns:
    Series or DataFrame

      Last of values within each group.

  See also

  `DataFrame.groupby`

    Apply a function groupby to each row or column of a DataFrame.

  `pandas.core.groupby.DataFrameGroupBy.first`

    Compute the first non-null entry of each column.

  `pandas.core.groupby.DataFrameGroupBy.nth`

    Take the nth row from each group.

  Examples

      >>> df = pd.DataFrame(dict(A=[1, 1, 3], B=[5, None, 6], C=[1, 2, 3]))
      >>> df.groupby("A").last()
           B  C
      A
      1  5.0  2
      3  6.0  3